Subject: bug#58196: Trivial update to ediprolog

From: Markus Triska <[email-masked]>
Date: Sat, 22 Oct 2022 18:20:44 +0200

Thank you! Please do keep these changes in the ELPA version of the file,
since they are specific to ELPA. The git repository of ediprolog
provides the master copy of ediprolog.el, and I will keep it as it is.

In a previous mail in this thread, I have provided a patchset relative
to the current ELPA version of ediprolog.el that incorporates all latest
developments from the master version which I provide on the ediprolog
page and also on github. If possible, please use the patchset to update
the ELPA version, and make any ELPA-specific adjustments as necessary.

Unfortunately I cannot help further, so I hope this suffices.

Thank you and all the best,
Markus

Stefan Monnier <[email-masked]> writes:

> Hi,
>
> Could you do:
>
>     cd .../where/you/keep/your/clone/of/ediprolog/
>     git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
>     git merge FETCH_HEAD
>
> so as to merge the few minor changes we had over in elpa.git?
> It will make 2 changes:
>
> - Change copyright line to make it compatible with GNU ELPA requirements.
> - Add a `Version: 2.2` header line so GNU ELPA can make a release of the
>   new code.
> - Tell Git that those changes have been merged, so it can properly track
>   future changes from your repository.
>
>
>         Stefan